import {SourceProp} from '@user/types';
import {Image, ImageProps} from 'react-native';

type imageType = Blob | undefined;

interface CustomImageProps extends ImageProps {
  hq?: {source: SourceProp; data: imageType; url: string};
}

function MyImage({...rest}: CustomImageProps) {
  return <Image {...rest} />;
}

export default MyImage;
